%define srcname xf86-video-via
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-via
Version: 0.2.2
Release: alt2

Summary: VIA unichrome graphics driver
License: MIT/X11
Group: System/X11
Serial: 1
Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: via.xinf

Patch1: xf86-video-via-0.2.1-alt-xvmc-link.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-via xorg-x11-extensions-glx
Provides: x11-driver-via x11-driver-via_cle266 x11-driver-via_pm880
Provides: via_cle266 via_pm880
Obsoletes: via_cle266 via_pm880
Conflicts: xorg-x11-drv-openchrome

BuildRequires: libX11-devel libXv-devel libXdmcp-devel libXau-devel libXext-devel
BuildRequires: libXvMC-devel libdrm-devel libmesa-devel pkg-config xorg-x11-sdk
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros

%description
via  is  an  Xorg  driver  for  VIA  chipsets  with  onboard
unichrome graphics.

The via driver supports the VIA CLE266, KM400/KN400 chipsets, including
2D acceleration and the Xv video overlay extensions. Flat panel, TV and
VGA outputs are supported.

K8M800/K8N800, PM8X0 and CN400 support is still under development.

Direct rendering 3D is available using experimental  drivers  in  Mesa,
www.mesa3d.org.   Also  there  is  an  XvMC client library for hardware
MPEG1 /  MPEG2  decoding  acceleration  available  on  the  CLE266  and
K8M/N800  chipsets  that uses the Direct Rendering Infrastructure, DRI.
The XvMC client library implements a nonstandard "VLD" extension to the
XvMC standard. The current Direct Rendering Manager Linux kernel module
is available at dri.sourceforge.net.

%def_disable static

%prep
%setup -q -n %srcname-%version

%patch1 -p1

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/via.xinf

%files
%_libdir/*.so.*
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.2-alt2
- added videoaliases file from RH

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.2-alt1
- 0.2.2

* Sun Sep 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt4.git20060918
- GIT snapshot 2006-09-18:
	Coverity CID #1102: Double free of pointer "priv_data" in XvMCCreateContext
- include stdint.h instead of re-typedefining CARD32

* Fri Jul 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt4.git20060721
- GIT snapshot 2006-07-21

* Tue May 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt4
- CVS snapshot 2006-05-23

* Mon May 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt3
- removed obsoletes xorg-x11-drv-openchrome
- added conflicts xorg-x11-drv-openchrome

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt2
- requires xorg-x11-server >= 1.0.99.901
- obsoletes xorg-x11-drv-openchrome <= 1:0.1.33.1-alt3

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.1-alt1
- 0.2.1

* Mon Mar 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.2-alt3
- %%set_verify_elf_method unresolved=relaxed

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.2-alt2
- removed files spectre (%%ghost %%_libdir/*.so)

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.33.2-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.33-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.32-alt0.1
- initial release

